# $Revision: 1.96 $, $Date: 2009/03/24 20:28:16 $
#
# Conditional build:
%bcond_without	gnomevfs	# disable GnomeVFS support
%bcond_with	gnomeui		# enable GnomeUI
%bcond_without	gnome		# disable gnomevfs (alias)
%bcond_without	svg		# disable svg support
#
%if %{without gnome}
%undefine	with_gnomevfs
%endif
%define	enigmail_ver	0.95.7
Summary:	SeaMonkey Community Edition - web browser
Summary(es.UTF-8):	Navegador de Internet SeaMonkey Community Edition
Summary(pl.UTF-8):	SeaMonkey Community Edition - przeglądarka WWW
Summary(pt_BR.UTF-8):	Navegador SeaMonkey Community Edition
Name:		seamonkey
Version:	1.1.15
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/%{name}-%{version}.source.tar.bz2
# Source0-md5:	88b2b7da0b18fe54bebea3dc723fa038
Source1:	http://www.mozilla-enigmail.org/download/source/enigmail-%{enigmail_ver}.tar.gz
# Source1-md5:	bbee59bab58b97e33e85015a5ae5de7b
Source2:	%{name}.desktop
Source3:	%{name}-composer.desktop
Source4:	%{name}-chat.desktop
Source5:	%{name}-mail.desktop
Source6:	%{name}-venkman.desktop
Patch0:		%{name}-pld-homepage.patch
Patch1:		%{name}-ldap-with-nss.patch
Patch2:		%{name}-kill_slim_hidden_def.patch
Patch3:		%{name}-lib_path.patch
Patch4:		%{name}-fonts.patch
Patch5:		%{name}-ti-agent.patch
Patch6:		%{name}-agent.patch
Patch7:		%{name}-glueload-fix.patch
URL:		http://www.seamonkey-project.org/
BuildRequires:	automake
%{?with_svg:BuildRequires:	cairo-devel >= 1.0.0}
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	libIDL-devel >= 0.8.0
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0.0}
BuildRequires:	gtk+2-devel
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.7
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= 1:4.6.1
BuildRequires:	nss-devel >= 1:3.11.3
BuildRequires:	perl-modules >= 5.6.0
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.356
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zip >= 2.1
BuildRequires:	zlib-devel >= 1.2.3
Requires:	browser-plugins >= 2.0
%{?with_svg:Requires:	cairo >= 1.0.0}
Requires:	nspr >= 1:4.6.1
Requires:	nss >= 1:3.11.3
Provides:	seamonkey-embedded = %{version}-%{release}
Provides:	wwwbrowser
Obsoletes:	light
Obsoletes:	mozilla
Obsoletes:	seamonkey-calendar
Obsoletes:	seamonkey-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_seamonkeydir	%{_libdir}/%{name}
%define		_chromedir	%{_libdir}/%{name}/chrome

# don't satisfy other packages by private libs and modules (note: don't use %{name} here)
%define		_noautoprovfiles	%{_libdir}/seamonkey
# and as we don't provide them, don't require either
%define		_noautoreq	libgfxpsshar.so libgkgfx.so libgtkembedmoz.so libgtkxtbin.so libjsj.so libldap50.so libmozjs.so libprldap50.so libssldap50.so libxlibrgb.so libxpcom.so libxpcom_compat.so libxpcom_core.so libmsgbaseutil.so

%define		specflags	-fno-strict-aliasing

%description
SeaMonkey Community Edition is an open-source web browser, designed
for standards compliance, performance and portability.

%description -l es.UTF-8
SeaMonkey Community Edition es un navegador de Internet que se basa en
una versión inicial de Netscape Communicator.

%description -l pl.UTF-8
SeaMonkey Community Edition jest potężną graficzną przeglądarką WWW,
która jest następcą Mozilli, która następnie była następczynią
Netscape Communikatora.

%description -l pt_BR.UTF-8
O SeaMonkey Community Edition é um web browser baseado numa versão
inicial do Netscape Communicator.

%description -l ru.UTF-8
SeaMonkey Community Edition - полнофункциональный web-browser с
открытыми исходными текстами, разработанный для максимального
соотвествия стандартам, максмимальной переносимости и скорости работы

%package mailnews
Summary:	SeaMonkey Community Edition - programs for mail and news
Summary(pl.UTF-8):	SeaMonkey Community Edition - programy do poczty i newsów
Summary(ru.UTF-8):	Почтовая система на основе SeaMonkey Community Edition
Group:		X11/Applications/Networking
Requires(post,postun):	%{name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mozilla-mailnews

%description mailnews
Programs for mail and news integrated with browser.

%description mailnews -l pl.UTF-8
Programy pocztowe i obsługa newsów zintegrowane z przeglądarką.

%description mailnews -l ru.UTF-8
Клиент почты и новостей, на основе SeaMonkey Community Edition.
Поддерживает IMAP, POP и NNTP и имеет простой интерфейс пользователя.

%package addon-enigmail
Summary:	Enigmail %{enigmail_ver} - PGP/GPG support for SeaMonkey Community Edition
Summary(pl.UTF-8):	Enigmail %{enigmail_ver} - obsługa PGP/GPG dla SeaMonkey Community Edition
Group:		X11/Applications/Networking
Requires(post,postun):	%{name}-mailnews = %{version}-%{release}
Requires:	%{name}-mailnews = %{version}-%{release}
Requires:	gnupg >= 1.4.2.2

%description addon-enigmail
Enigmail is an extension to the mail client of SeaMonkey / Mozilla /
Netscape and Mozilla Thunderbird which allows users to access the
authentication and encryption features provided by GnuPG.

%description addon-enigmail -l pl.UTF-8
Enigmail jest rozszerzeniem dla klienta pocztowego SeaMonkey, Mozilla
i Mozilla Thunderdbird pozwalającym użytkownikowi korzystać z
funkcjonalności GnuPG.

%package chat
Summary:	SeaMonkey Community Edition Chat - integrated IRC client
Summary(pl.UTF-8):	SeaMonkey Community Edition Chat - zintegrowany klient IRC-a
Group:		X11/Applications/Networking
Requires(post,postun):	%{name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mozilla-chat

%description chat
SeaMonkey Community Edition Chat - IRC client that is integrated with
the SeaMonkey Community Edition web browser.

%description chat -l pl.UTF-8
SeaMonkey Community Edition Chat - klient IRC-a zintegrowany z
przeglądarką SeaMonkey Community Edition.

%package js-debugger
Summary:	JavaScript debugger for use with SeaMonkey Community Edition
Summary(pl.UTF-8):	Odpluskwiacz JavaScriptu do używania z SeaMonkey Community Edition
Group:		X11/Applications/Networking
Requires(post,postun):	%{name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mozilla-js-debugger

%description js-debugger
JavaScript debugger for use with SeaMonkey Community Edition.

%description js-debugger -l pl.UTF-8
Odpluskwiacz JavaScriptu do używania z SeaMonkey Community Edition.

%package dom-inspector
Summary:	A tool for inspecting the DOM of pages in SeaMonkey Community Edition
Summary(pl.UTF-8):	Narzędzie do oglądania DOM stron w SeaMonkey Community Edition
Group:		X11/Applications/Networking
Requires(post,postun):	%{name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mozilla-dom-inspector

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
SeaMonkey Community Edition. This is of great use to people who are
doing SeaMonkey Community Edition chrome development or web page
development.

%description dom-inspector -l pl.UTF-8
To narzędzie pozwala na oglądanie DOM dla stron WWW w SeaMonkey
Community Edition. Jest bardzo przydatne dla ludzi rozwijających
chrome w SeaMonkey Community Edition lub tworzących strony WWW.

%package gnomevfs
Summary:	Gnome-VFS module providing support for smb:// URLs
Summary(pl.UTF-8):	Moduł Gnome-VFS dodający wsparcie dla URLi smb://
Group:		X11/Applications/Networking
Requires(post,postun):	%{name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mozilla-gnomevfs

%description gnomevfs
Gnome-VFS module providing support for smb:// URLs.

%description gnomevfs -l pl.UTF-8
Moduł Gnome-VFS dodający wsparcie dla URLi smb://.

%prep
%setup -qc
cd mozilla
tar -C mailnews/extensions -zxf %{SOURCE1}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if "%{pld_release}" == "ti"
%patch5 -p1
%else
%patch6 -p1
%endif
%patch7 -p2

%build
cd mozilla

cp -f /usr/share/automake/config.* build/autoconf
cp -f /usr/share/automake/config.* nsprpub/build/autoconf
cp -f /usr/share/automake/config.* directory/c-sdk/config/autoconf
ac_cv_visibility_pragma=no; export ac_cv_visibility_pragma
%configure2_13 \
	%{!?debug:--disable-debug} \
	--disable-elf-dynstr-gc \
	%{!?with_gnomeui:--disable-gnomeui} \
	%{!?with_gnomevfs:--disable-gnomevfs} \
	--disable-pedantic \
	--disable-tests \
	--disable-xterm-updates \
	--enable-application=suite \
	--enable-crypto \
	--enable-default-toolkit=gtk2 \
	--enable-extensions \
	--enable-ldap \
	--enable-mathml \
	--enable-optimize="%{rpmcflags}" \
	--enable-postscript \
	%{!?debug:--enable-strip} \
	%{?with_svg:--enable-svg --enable-svg-renderer-cairo} \
	%{?with_svg:--enable-system-cairo} \
	--enable-xft \
	--enable-xinerama \
	--enable-xprint \
	--enable-old-abi-compat-wrappers \
	--with-default-mozilla-five-home=%{_seamonkeydir} \
	--with-pthreads \
	--with-system-jpeg \
	--with-system-nspr \
	--with-system-nss \
	--with-system-png \
	--with-system-zlib \
	--with-x

%{__make} \
	STRIP=echo

cd mailnews/extensions/enigmail
./makemake -r
%{__make}
cd ../../..

%install
rm -rf $RPM_BUILD_ROOT
cd mozilla
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_datadir}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/{chrome,defaults,dictionaries,icons,greprefs,res,searchplugins} \
	$RPM_BUILD_ROOT%{_seamonkeydir}/{components,plugins}

# preparing to create register
# remove empty directory trees
rm -fr dist/bin/chrome/{US,chatzilla,classic,comm,content-packs,cview,embed,embed-sample,en-US,en-mac,en-unix,en-win,help,inspector,messenger,modern,pipnss,pippki,toolkit,venkman,xmlterm}
# non-unix
rm -f dist/bin/chrome/en-{mac,win}.jar

# creating and installing register
LD_LIBRARY_PATH="dist/bin" MOZILLA_FIVE_HOME="dist/bin" dist/bin/regxpcom
LD_LIBRARY_PATH="dist/bin" MOZILLA_FIVE_HOME="dist/bin" dist/bin/regchrome

ln -sf ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_chromedir}
ln -sf ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_seamonkeydir}/defaults
ln -sf ../../share/%{name}/dictionaries $RPM_BUILD_ROOT%{_seamonkeydir}/dictionaries
ln -sf ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_seamonkeydir}/greprefs
ln -sf ../../share/%{name}/icons $RPM_BUILD_ROOT%{_seamonkeydir}/icons
ln -sf ../../share/%{name}/res $RPM_BUILD_ROOT%{_seamonkeydir}/res
ln -sf ../../share/%{name}/searchplugins $RPM_BUILD_ROOT%{_seamonkeydir}/searchplugins

cp -frL dist/bin/chrome/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
cp -frL dist/bin/components/{[!m],m[!y]}*	$RPM_BUILD_ROOT%{_seamonkeydir}/components
cp -frL dist/bin/defaults/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
cp -frL dist/bin/dictionaries/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/dictionaries
cp -frL dist/bin/greprefs/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
cp -frL dist/bin/res/*		$RPM_BUILD_ROOT%{_datadir}/%{name}/res
cp -frL dist/bin/searchplugins/* $RPM_BUILD_ROOT%{_datadir}/%{name}/searchplugins

install dist/bin/*.so $RPM_BUILD_ROOT%{_seamonkeydir}

ln -s %{_libdir}/libnssckbi.so $RPM_BUILD_ROOT%{_seamonkeydir}/libnssckbi.so

install %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
	$RPM_BUILD_ROOT%{_desktopdir}

install suite/branding/icons/gtk/seamonkey.png $RPM_BUILD_ROOT%{_pixmapsdir}

install dist/bin/seamonkey-bin $RPM_BUILD_ROOT%{_seamonkeydir}
install dist/bin/regchrome $RPM_BUILD_ROOT%{_seamonkeydir}
install dist/bin/regxpcom $RPM_BUILD_ROOT%{_seamonkeydir}
install dist/bin/xpidl $RPM_BUILD_ROOT%{_seamonkeydir}

cp $RPM_BUILD_ROOT%{_chromedir}/installed-chrome.txt \
        $RPM_BUILD_ROOT%{_chromedir}/%{name}-installed-chrome.txt

cat << 'EOF' > $RPM_BUILD_ROOT%{_bindir}/seamonkey
#!/bin/sh
# (c) vip at linux.pl, wolf at pld-linux.org

LD_LIBRARY_PATH=%{_seamonkeydir}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

MOZILLA_FIVE_HOME="%{_seamonkeydir}"
SEAMONKEY="$MOZILLA_FIVE_HOME/seamonkey-bin"
if [ "$1" == "-remote" ]; then
	exec $SEAMONKEY "$@"
fi

PING=`$SEAMONKEY -remote 'ping()' 2>&1 >/dev/null`
if [ -n "$PING" ]; then
	if [ -f "`pwd`/$1" ]; then
		exec $SEAMONKEY "file://`pwd`/$1"
	else
		exec $SEAMONKEY "$@"
	fi
fi

if [ -z "$1" ]; then
	exec $SEAMONKEY -remote 'xfeDoCommand (openBrowser)'
elif [ "$1" == "-mail" ]; then
	exec $SEAMONKEY -remote 'xfeDoCommand (openInbox)'
elif [ "$1" == "-compose" ]; then
	exec $SEAMONKEY -remote 'xfeDoCommand (composeMessage)'
fi

[[ $1 == -* ]] && exec $SEAMONKEY "$@"

if [ -f "`pwd`/$1" ]; then
	URL="file://`pwd`/$1"
else
	URL="$1"
fi
if grep -q -E 'browser.tabs.opentabfor.middleclick.*true' \
		~/.mozilla/default/*/prefs.js; then
	exec $SEAMONKEY -remote "OpenUrl($URL,new-tab)"
else
	exec $SEAMONKEY -remote "OpenUrl($URL,new-window)"
fi

echo "Cannot execute SeaMonkey ($SEAMONKEY)!" >&2
exit 1
EOF

cat << 'EOF' > $RPM_BUILD_ROOT%{_sbindir}/%{name}-chrome+xpcom-generate
#!/bin/sh
umask 022
cd %{_datadir}/%{name}/chrome
cat *-installed-chrome.txt > installed-chrome.txt
rm -f chrome.rdf overlays.rdf
rm -f %{_seamonkeydir}/components/{compreg,xpti}.dat

LD_LIBRARY_PATH=%{_seamonkeydir}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

MOZILLA_FIVE_HOME=%{_seamonkeydir} %{_seamonkeydir}/regxpcom
MOZILLA_FIVE_HOME=%{_seamonkeydir} %{_seamonkeydir}/regchrome
exit 0
EOF

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/%{name}-chrome+xpcom-generate
%update_browser_plugins

%postun
%{_sbindir}/%{name}-chrome+xpcom-generate
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%post mailnews -p %{_sbindir}/%{name}-chrome+xpcom-generate
%postun mailnews -p %{_sbindir}/%{name}-chrome+xpcom-generate

%post addon-enigmail -p %{_sbindir}/%{name}-chrome+xpcom-generate
%postun addon-enigmail -p %{_sbindir}/%{name}-chrome+xpcom-generate

%post chat -p %{_sbindir}/%{name}-chrome+xpcom-generate
%postun chat -p %{_sbindir}/%{name}-chrome+xpcom-generate

%post js-debugger -p %{_sbindir}/%{name}-chrome+xpcom-generate
%postun js-debugger -p %{_sbindir}/%{name}-chrome+xpcom-generate

%post dom-inspector -p %{_sbindir}/%{name}-chrome+xpcom-generate
%postun dom-inspector -p %{_sbindir}/%{name}-chrome+xpcom-generate

%post gnomevfs -p %{_sbindir}/%{name}-chrome+xpcom-generate
%postun gnomevfs -p %{_sbindir}/%{name}-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/seamonkey
%attr(744,root,root) %{_sbindir}/%{name}-chrome+xpcom-generate

# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%dir %{_chromedir}
%dir %{_seamonkeydir}
%dir %{_seamonkeydir}/components
%dir %{_seamonkeydir}/defaults
%dir %{_seamonkeydir}/dictionaries
%dir %{_seamonkeydir}/greprefs
%dir %{_seamonkeydir}/icons
%dir %{_seamonkeydir}/plugins
%dir %{_seamonkeydir}/res
%dir %{_seamonkeydir}/searchplugins
%dir %{_datadir}/%{name}

%attr(755,root,root) %{_seamonkeydir}/libgfxpsshar.so
%attr(755,root,root) %{_seamonkeydir}/libgkgfx.so
%attr(755,root,root) %{_seamonkeydir}/libgtkembedmoz.so
%attr(755,root,root) %{_seamonkeydir}/libgtkxtbin.so
%attr(755,root,root) %{_seamonkeydir}/libjsj.so
%attr(755,root,root) %{_seamonkeydir}/libldap50.so
%attr(755,root,root) %{_seamonkeydir}/libmozjs.so
%attr(755,root,root) %{_seamonkeydir}/libprldap50.so
%attr(755,root,root) %{_seamonkeydir}/libssldap50.so
%attr(755,root,root) %{_seamonkeydir}/libxlibrgb.so
%attr(755,root,root) %{_seamonkeydir}/libxpcom.so
%attr(755,root,root) %{_seamonkeydir}/libxpcom_compat.so
%attr(755,root,root) %{_seamonkeydir}/libxpcom_core.so
%attr(755,root,root) %{_seamonkeydir}/libxpistub.so

%attr(755,root,root) %{_seamonkeydir}/seamonkey-bin
%attr(755,root,root) %{_seamonkeydir}/regchrome
%attr(755,root,root) %{_seamonkeydir}/regxpcom
%attr(755,root,root) %{_seamonkeydir}/xpidl

%attr(755,root,root) %{_seamonkeydir}/libnssckbi.so

%attr(755,root,root) %{_seamonkeydir}/components/libaccessibility.so
%attr(755,root,root) %{_seamonkeydir}/components/libappcomps.so
%attr(755,root,root) %{_seamonkeydir}/components/libauth.so
%attr(755,root,root) %{_seamonkeydir}/components/libautoconfig.so
%attr(755,root,root) %{_seamonkeydir}/components/libcaps.so
%attr(755,root,root) %{_seamonkeydir}/components/libchrome.so
%attr(755,root,root) %{_seamonkeydir}/components/libcomposer.so
%attr(755,root,root) %{_seamonkeydir}/components/libcookie.so
%attr(755,root,root) %{_seamonkeydir}/components/libdocshell.so
%attr(755,root,root) %{_seamonkeydir}/components/libeditor.so
%attr(755,root,root) %{_seamonkeydir}/components/libembedcomponents.so
%attr(755,root,root) %{_seamonkeydir}/components/libfileview.so
%attr(755,root,root) %{_seamonkeydir}/components/libgfx_gtk.so
%attr(755,root,root) %{_seamonkeydir}/components/libgfxps.so
%attr(755,root,root) %{_seamonkeydir}/components/libgfxxprint.so
%attr(755,root,root) %{_seamonkeydir}/components/libgkdebug.so
%attr(755,root,root) %{_seamonkeydir}/components/libgklayout.so
%attr(755,root,root) %{_seamonkeydir}/components/libgkplugin.so
%attr(755,root,root) %{_seamonkeydir}/components/libhtmlpars.so
%attr(755,root,root) %{_seamonkeydir}/components/libi18n.so
%attr(755,root,root) %{_seamonkeydir}/components/libimglib2.so
%{?with_gnomeui:%attr(755,root,root) %{_seamonkeydir}/components/libimgicon.so}
%attr(755,root,root) %{_seamonkeydir}/components/libjar50.so
%attr(755,root,root) %{_seamonkeydir}/components/libjsd.so
%attr(755,root,root) %{_seamonkeydir}/components/libmork.so
%attr(755,root,root) %{_seamonkeydir}/components/libmozfind.so
%attr(755,root,root) %{_seamonkeydir}/components/libmozldap.so
%attr(755,root,root) %{_seamonkeydir}/components/libmyspell.so
%attr(755,root,root) %{_seamonkeydir}/components/libnecko.so
%attr(755,root,root) %{_seamonkeydir}/components/libnecko2.so
%attr(755,root,root) %{_seamonkeydir}/components/libnkdatetime.so
%attr(755,root,root) %{_seamonkeydir}/components/libnkfinger.so
%attr(755,root,root) %{_seamonkeydir}/components/libnsappshell.so
%attr(755,root,root) %{_seamonkeydir}/components/libnsprefm.so
%attr(755,root,root) %{_seamonkeydir}/components/liboji.so
%attr(755,root,root) %{_seamonkeydir}/components/libp3p.so
%attr(755,root,root) %{_seamonkeydir}/components/libpermissions.so
%attr(755,root,root) %{_seamonkeydir}/components/libpipboot.so
%attr(755,root,root) %{_seamonkeydir}/components/libpipnss.so
%attr(755,root,root) %{_seamonkeydir}/components/libpippki.so
%attr(755,root,root) %{_seamonkeydir}/components/libpref.so
%attr(755,root,root) %{_seamonkeydir}/components/libprofile.so
%attr(755,root,root) %{_seamonkeydir}/components/librdf.so
%attr(755,root,root) %{_seamonkeydir}/components/libremoteservice.so
%attr(755,root,root) %{_seamonkeydir}/components/libschemavalidation.so
%attr(755,root,root) %{_seamonkeydir}/components/libsearchservice.so
%attr(755,root,root) %{_seamonkeydir}/components/libspellchecker.so
%attr(755,root,root) %{_seamonkeydir}/components/libsql.so
%attr(755,root,root) %{_seamonkeydir}/components/libsroaming.so
%attr(755,root,root) %{_seamonkeydir}/components/libstoragecomps.so
%attr(755,root,root) %{_seamonkeydir}/components/libsystem-pref.so
%attr(755,root,root) %{_seamonkeydir}/components/libtransformiix.so
%attr(755,root,root) %{_seamonkeydir}/components/libtxmgr.so
%attr(755,root,root) %{_seamonkeydir}/components/libtypeaheadfind.so
%attr(755,root,root) %{_seamonkeydir}/components/libuconv.so
%attr(755,root,root) %{_seamonkeydir}/components/libucvmath.so
%attr(755,root,root) %{_seamonkeydir}/components/libuniversalchardet.so
%attr(755,root,root) %{_seamonkeydir}/components/libwallet.so
%attr(755,root,root) %{_seamonkeydir}/components/libwalletviewers.so
%attr(755,root,root) %{_seamonkeydir}/components/libwebbrwsr.so
%attr(755,root,root) %{_seamonkeydir}/components/libwebsrvcs.so
%attr(755,root,root) %{_seamonkeydir}/components/libwidget_gtk2.so
%attr(755,root,root) %{_seamonkeydir}/components/libxforms.so
%attr(755,root,root) %{_seamonkeydir}/components/libxmlextras.so
%attr(755,root,root) %{_seamonkeydir}/components/libxpcom_compat_c.so
%attr(755,root,root) %{_seamonkeydir}/components/libxpconnect.so
%attr(755,root,root) %{_seamonkeydir}/components/libxpinstall.so
%attr(755,root,root) %{_seamonkeydir}/components/libxremoteservice.so

%{_seamonkeydir}/components/access*.xpt
%{_seamonkeydir}/components/alerts.xpt
%{_seamonkeydir}/components/appshell.xpt
%{_seamonkeydir}/components/appstartup.xpt
%{_seamonkeydir}/components/autocomplete.xpt
%{_seamonkeydir}/components/autoconfig.xpt
%{_seamonkeydir}/components/bookmarks.xpt
%{_seamonkeydir}/components/caps.xpt
%{_seamonkeydir}/components/chardet.xpt
%{_seamonkeydir}/components/chrome.xpt
%{_seamonkeydir}/components/commandhandler.xpt
%{_seamonkeydir}/components/composer.xpt
%{_seamonkeydir}/components/content*.xpt
%{_seamonkeydir}/components/cookie.xpt
%{_seamonkeydir}/components/directory.xpt
%{_seamonkeydir}/components/docshell.xpt
%{_seamonkeydir}/components/dom*.xpt
%{_seamonkeydir}/components/downloadmanager.xpt
%{_seamonkeydir}/components/editor.xpt
%{_seamonkeydir}/components/embed_base.xpt
%{_seamonkeydir}/components/extensions.xpt
%{_seamonkeydir}/components/exthandler.xpt
%{_seamonkeydir}/components/find.xpt
%{_seamonkeydir}/components/filepicker.xpt
%{_seamonkeydir}/components/gfx*.xpt
%{?with_svg:%{_seamonkeydir}/components/gksvgrenderer.xpt}
%{_seamonkeydir}/components/history.xpt
%{_seamonkeydir}/components/htmlparser.xpt
%{?with_gnomeui:%{_seamonkeydir}/components/imgicon.xpt}
%{_seamonkeydir}/components/imglib2.xpt
%{_seamonkeydir}/components/intl.xpt
%{_seamonkeydir}/components/jar.xpt
%{_seamonkeydir}/components/js*.xpt
%{_seamonkeydir}/components/layout*.xpt
%{_seamonkeydir}/components/locale.xpt
%{_seamonkeydir}/components/lwbrk.xpt
%{_seamonkeydir}/components/mimetype.xpt
%{_seamonkeydir}/components/moz*.xpt
%{_seamonkeydir}/components/necko*.xpt
%{_seamonkeydir}/components/oji.xpt
%{_seamonkeydir}/components/p3p.xpt
%{_seamonkeydir}/components/pipboot.xpt
%{_seamonkeydir}/components/pipnss.xpt
%{_seamonkeydir}/components/pippki.xpt
%{_seamonkeydir}/components/plugin.xpt
%{_seamonkeydir}/components/pref.xpt
%{_seamonkeydir}/components/prefetch.xpt
%{_seamonkeydir}/components/prefmigr.xpt
%{_seamonkeydir}/components/profile.xpt
%{_seamonkeydir}/components/progressDlg.xpt
%{_seamonkeydir}/components/proxyObjInst.xpt
%{_seamonkeydir}/components/rdf.xpt
%{_seamonkeydir}/components/related.xpt
%{_seamonkeydir}/components/saxparser.xpt
%{_seamonkeydir}/components/search.xpt
%{_seamonkeydir}/components/schemavalidation.xpt
%{_seamonkeydir}/components/shistory.xpt
%{_seamonkeydir}/components/signonviewer.xpt
%{_seamonkeydir}/components/spellchecker.xpt
%{_seamonkeydir}/components/sql.xpt
%{_seamonkeydir}/components/storage.xpt
%{_seamonkeydir}/components/toolkitremote.xpt
%{_seamonkeydir}/components/txmgr.xpt
%{_seamonkeydir}/components/txtsvc.xpt
%{_seamonkeydir}/components/typeaheadfind.xpt
%{_seamonkeydir}/components/uconv.xpt
%{_seamonkeydir}/components/unicharutil.xpt
%{_seamonkeydir}/components/uriloader.xpt
%{_seamonkeydir}/components/urlformatter.xpt
%{_seamonkeydir}/components/wallet*.xpt
%{_seamonkeydir}/components/webBrowser_core.xpt
%{_seamonkeydir}/components/webbrowserpersist.xpt
%{_seamonkeydir}/components/webshell_idls.xpt
%{_seamonkeydir}/components/websrvcs.xpt
%{_seamonkeydir}/components/widget.xpt
%{_seamonkeydir}/components/windowds.xpt
%{_seamonkeydir}/components/windowwatcher.xpt
%{_seamonkeydir}/components/x*.xpt

%{_seamonkeydir}/components/jsconsole-clhandler.js
%{_seamonkeydir}/components/nsCloseAllWindows.js
%{_seamonkeydir}/components/nsComposerCmdLineHandler.js
%{_seamonkeydir}/components/nsDictionary.js
%{_seamonkeydir}/components/nsDownloadProgressListener.js
%{_seamonkeydir}/components/nsFilePicker.js
%{_seamonkeydir}/components/nsHelperAppDlg.js
%{_seamonkeydir}/components/nsInterfaceInfoToIDL.js
%{_seamonkeydir}/components/nsKillAll.js
%{_seamonkeydir}/components/nsProgressDialog.js
%{_seamonkeydir}/components/nsProxyAutoConfig.js
%{_seamonkeydir}/components/nsResetPref.js
%{_seamonkeydir}/components/nsSchemaValidatorRegexp.js
%{_seamonkeydir}/components/nsSidebar.js
%{_seamonkeydir}/components/nsUpdateNotifier.js
%{_seamonkeydir}/components/nsURLFormatter.js
%{_seamonkeydir}/components/nsXmlRpcClient.js
%{_seamonkeydir}/components/xulappinfo.js

# not *.dat, so check-files can catch any new files
# (and they won't be just silently placed empty in rpm)
%ghost %{_seamonkeydir}/components/compreg.dat
%ghost %{_seamonkeydir}/components/xpti.dat

%dir %{_datadir}/%{name}/chrome
%{_datadir}/%{name}/chrome/US.jar
%{_datadir}/%{name}/chrome/classic.jar
%{_datadir}/%{name}/chrome/comm.jar
%{_datadir}/%{name}/chrome/content-packs.jar
%{_datadir}/%{name}/chrome/cview.jar
%{_datadir}/%{name}/chrome/embed-sample.jar
%{_datadir}/%{name}/chrome/en-US.jar
%{_datadir}/%{name}/chrome/en-unix.jar
%{_datadir}/%{name}/chrome/help.jar
%{_datadir}/%{name}/chrome/layoutdebug.jar
%{_datadir}/%{name}/chrome/modern.jar
%{_datadir}/%{name}/chrome/pipnss.jar
%{_datadir}/%{name}/chrome/pippki.jar
%{_datadir}/%{name}/chrome/reporter.jar
%{_datadir}/%{name}/chrome/sql.jar
%{_datadir}/%{name}/chrome/sroaming.jar
%{_datadir}/%{name}/chrome/tasks.jar
%{_datadir}/%{name}/chrome/toolkit.jar
%{_datadir}/%{name}/chrome/xforms.jar

%ghost %{_datadir}/%{name}/chrome/chrome.rdf
%ghost %{_datadir}/%{name}/chrome/overlays.rdf
# not generated automatically ?
%{_datadir}/%{name}/chrome/stylesheets.rdf
%{_datadir}/%{name}/chrome/chromelist.txt
%{_datadir}/%{name}/chrome/icons
%exclude %{_datadir}/%{name}/chrome/icons/default/abcardWindow*.xpm
%exclude %{_datadir}/%{name}/chrome/icons/default/addressbookWindow*.xpm
%exclude %{_datadir}/%{name}/chrome/icons/default/chatzilla-window*.xpm
%exclude %{_datadir}/%{name}/chrome/icons/default/messengerWindow*.xpm
%exclude %{_datadir}/%{name}/chrome/icons/default/msgcomposeWindow*.xpm
%exclude %{_datadir}/%{name}/chrome/icons/default/venkman-window*.xpm
%exclude %{_datadir}/%{name}/chrome/icons/default/winInspectorMain*.xpm

%{_datadir}/%{name}/chrome/%{name}-installed-chrome.txt
%ghost %{_datadir}/%{name}/chrome/installed-chrome.txt

%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/dictionaries
%{_datadir}/%{name}/greprefs
%exclude %{_datadir}/%{name}/defaults/pref/inspector.js
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/res
%{_datadir}/%{name}/searchplugins

%{_pixmapsdir}/seamonkey.png
%{_desktopdir}/%{name}.desktop
%{_desktopdir}/%{name}-composer.desktop

%files mailnews
%defattr(644,root,root,755)
%attr(755,root,root) %{_seamonkeydir}/libmsgbaseutil.so
%attr(755,root,root) %{_seamonkeydir}/components/libaddrbook.so
%attr(755,root,root) %{_seamonkeydir}/components/libbayesflt.so
%attr(755,root,root) %{_seamonkeydir}/components/libimpText.so
%attr(755,root,root) %{_seamonkeydir}/components/libimpComm4xMail.so
%attr(755,root,root) %{_seamonkeydir}/components/libimport.so
%attr(755,root,root) %{_seamonkeydir}/components/liblocalmail.so
%attr(755,root,root) %{_seamonkeydir}/components/libmailnews.so
%attr(755,root,root) %{_seamonkeydir}/components/libmailview.so
%attr(755,root,root) %{_seamonkeydir}/components/libmime.so
%attr(755,root,root) %{_seamonkeydir}/components/libmimeemitter.so
%attr(755,root,root) %{_seamonkeydir}/components/libmsg*.so
%attr(755,root,root) %{_seamonkeydir}/components/libvcard.so

%{_seamonkeydir}/components/addrbook.xpt
%{_seamonkeydir}/components/impComm4xMail.xpt
%{_seamonkeydir}/components/import.xpt
%{_seamonkeydir}/components/mailnews.xpt
%{_seamonkeydir}/components/mailview.xpt
%{_seamonkeydir}/components/mime.xpt
%{_seamonkeydir}/components/msg*.xpt

%{_seamonkeydir}/components/mdn-service.js
%{_seamonkeydir}/components/nsAbLDAPAttributeMap.js
%{_seamonkeydir}/components/nsLDAPPrefsService.js
%{_seamonkeydir}/components/offlineStartup.js
%{_seamonkeydir}/components/smime-service.js

%{_datadir}/%{name}/chrome/messenger.jar

%{_datadir}/%{name}/chrome/icons/default/abcardWindow*.xpm
%{_datadir}/%{name}/chrome/icons/default/addressbookWindow*.xpm
%{_datadir}/%{name}/chrome/icons/default/messengerWindow*.xpm
%{_datadir}/%{name}/chrome/icons/default/msgcomposeWindow*.xpm

%{_desktopdir}/%{name}-mail.desktop

%files addon-enigmail
%defattr(644,root,root,755)
%attr(755,root,root) %{_seamonkeydir}/components/libenigmime.so
%{_seamonkeydir}/components/enigmail.xpt
%{_seamonkeydir}/components/enigmime.xpt
%{_seamonkeydir}/components/ipc.xpt
%{_seamonkeydir}/components/enigmail.js
%{_seamonkeydir}/components/enigprefs-service.js
%{_datadir}/%{name}/chrome/enigmail-en-US.jar
%{_datadir}/%{name}/chrome/enigmail-locale.jar
%{_datadir}/%{name}/chrome/enigmail-skin-tbird.jar
%{_datadir}/%{name}/chrome/enigmail-skin.jar
%{_datadir}/%{name}/chrome/enigmail.jar
%{_datadir}/%{name}/chrome/enigmime.jar

%files chat
%defattr(644,root,root,755)
%{_seamonkeydir}/components/chatzilla-service.js
%{_datadir}/%{name}/chrome/chatzilla.jar
%{_datadir}/%{name}/chrome/icons/default/chatzilla-window*.xpm
%{_desktopdir}/%{name}-chat.desktop

%files js-debugger
%defattr(644,root,root,755)
%{_seamonkeydir}/components/venkman-service.js
%{_datadir}/%{name}/chrome/venkman.jar
%{_datadir}/%{name}/chrome/icons/default/venkman-window*.xpm
%{_desktopdir}/%{name}-venkman.desktop

%files dom-inspector
%defattr(644,root,root,755)
%{_seamonkeydir}/components/inspector.xpt
%{_seamonkeydir}/components/inspector-cmdline.js
%{_datadir}/%{name}/chrome/inspector.jar
%{_datadir}/%{name}/chrome/icons/default/winInspectorMain*.xpm
%{_datadir}/%{name}/defaults/pref/inspector.js

%if %{with gnomevfs}
%files gnomevfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_seamonkeydir}/components/libnkgnomevfs.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey.spec,v $
Revision 1.96  2009/03/24 20:28:16  duddits
- up to 1.1.15
- fixes CVE-2009-0352, CVE-2009-0353, CVE-2009-0357, CVE-2009-0771,
  CVE-2009-0772, CVE-2009-0773, CVE-2009-0774, CVE-2009-0775,
  CVE-2009-0776, CVE-2009-0777

Revision 1.95  2008/12/27 16:53:01  qboosh
- CVE references

Revision 1.94  2008/12/19 09:42:04  witekfl
- up to 1.1.14
[fixes: CVE-2008-5500, CVE-2008-5501, CVE-2008-5503, CVE-2008-5505,
 CVE-2008-5506, CVE-2008-5507, CVE-2008-5508, CVE-2008-5510,
 CVE-2008-5511, CVE-2008-5512]

Revision 1.93  2008/11/14 16:30:43  qboosh
- updated to 1.1.13, fixes:
  CVE-2008-0017 CVE-2008-4582 CVE-2008-5015 CVE-2008-5016 CVE-2008-5017
  CVE-2008-5019 CVE-2008-5021 CVE-2008-5022 CVE-2008-5023 CVE-2008-5024

Revision 1.92  2008/10/21 06:15:32  qboosh
- updated to 1.1.12 (fixes:
  CVE-2008-3835 CVE-2008-3837 CVE-2008-4058 CVE-2008-4060 CVE-2008-4061
  CVE-2008-4062 CVE-2008-4065 CVE-2008-4067 CVE-2008-4068 CVE-2008-4069
  CVE-2008-4070)
- enigmail updated to 0.95.7

Revision 1.91  2008/09/23 21:27:56  sparky
- fix startup script indent

Revision 1.90  2008/09/23 20:47:50  sparky
- just STRIP=echo, builders won't like escape sequences
- NOTE: builds and works ! (even on th@ppc)

Revision 1.89  2008/09/23 20:19:08  sparky
- added glueload-fix.patch, fixes SIGABRT during %install
- don't strip anything

Revision 1.88  2008/07/21 21:07:00  qboosh
- _noauto* cleanup: don't provide any private libs or modules, don't require any private library
- don't use epoch in internal deps (not defined)

Revision 1.87  2008/07/20 19:03:06  qboosh
- updated to 1.1.11 (fixes CVE-2008-2785)

Revision 1.86  2008/07/10 22:04:48  qboosh
- updated ldap-with-nss patch to work with -as-needed
- CVE references

Revision 1.85  2008/07/02 19:57:39  blues
- 1.1.10
[fixes CVE-2008-1380 CVE-2008-2799 CVE-2008-2800 CVE-2008-2801 CVE-2008-2802
 CVE-2008-2803 CVE-2008-2805 CVE-2008-2807 CVE-2008-2808 CVE-2008-2809
 CVE-2008-2810 CVE-2008-2811]

Revision 1.84  2008/05/24 19:03:18  hawk
- use %pld_release macro and apply proper agent patch, BR: rpm >= 4.4.9-56

Revision 1.83  2008-03-30 12:32:50  glen
- release 2 (1 for ac)

Revision 1.82  2008-03-26 13:59:49  hawk
- updated to 1.1.9, fixes CVE-2008-1233, CVE-2008-1234,  CVE-2008-1235,
  CVE-2008-1236, CVE-2008-1237, CVE-2008-1238, CVE-2007-4879,
  CVE-2008-1195, CVE-2008-1240, CVE-2008-1241

Revision 1.81  2008-02-08 20:29:43  qboosh
- updated URL

Revision 1.80  2008-02-08 15:01:02  hawk
- damn, deleted to much in previous commit, I'm just too tired

Revision 1.79  2008-02-08 14:51:58  hawk
- dropped -libs, no apps should be built against seamonkey, use xulrunner
- release 2

Revision 1.78  2008-02-08 14:10:35  hawk
- updated to 1.1.8, fixes CVE-2008-0594, CVE-2008-0593, CVE-2008-0592,
  CVE-2008-0591, CVE-2008-0419, CVE-2008-0418, CVE-2008-0417,
  CVE-2008-0415, CVE-2008-0414, CVE-2008-0412
- updated enigmail to 0.95.6

Revision 1.77  2007-12-01 12:32:03  qboosh
- updated to 1.1.7 (fixes CVE-2007-5947 CVE-2007-5959 CVE-2007-5960)

Revision 1.76  2007-11-13 12:29:14  hawk
- updated to 1.1.6

Revision 1.75  2007-11-11 21:21:14  draenog
- enigmail updated to 0.95.5
- missing BR for libIDL-devel

Revision 1.74  2007-10-27 08:14:49  sls
- ver. 1.1.5

Revision 1.73  2007/08/04 16:14:59  hawk
- updated to 1.1.4, fixes CVE-2007-3844 CVE-2007-3845

Revision 1.72  2007/08/02 19:56:23  qboosh
- complete licenses list

Revision 1.71  2007/08/02 17:21:57  qboosh
- added gnome bcond (as gnomevfs alias) for convenience

Revision 1.70  2007/08/01 20:05:28  qboosh
- more CVE references

Revision 1.69  2007/07/23 18:44:36  qboosh
- CVE references

Revision 1.68  2007/07/20 18:03:20  hawk
- updated to 1.1.3
[fixes CVE-2007-3089 CVE-2007-3285 CVE-2007-3656 CVE-2007-3734
 CVE-2007-3735 CVE-2007-3736 CVE-2007-3737 CVE-2007-3738]
- updated enigmail to 0.95.2

Revision 1.67  2007/07/13 07:21:38  hawk
- added agent patch to identify system as PLD
- release 3

Revision 1.66  2007/06/13 15:52:24  qboosh
- enigmail update to 0.95.1 (merged from AC-branch, by zawadaa)
- release 2

Revision 1.65  2007/06/03 08:10:42  qboosh
- no need to _noautoreqdep sonames already eliminated by _noautoreq

Revision 1.64  2007/06/02 19:12:41  qboosh
- don't provide sonames which xulrunner should provide

Revision 1.63  2007/06/01 16:46:47  qboosh
- CVE references

Revision 1.62  2007/05/31 20:22:35  megabajt
- AC-branch merge:
  updated to 1.1.2, updated enigmail to 0.95.0 (by hawk)
[fixes CVE-2007-1362 CVE-2007-1558 CVE-2007-2867 CVE-2007-2868 CVE-2007-2870 CVE-2007-2871]

Revision 1.61  2007/05/17 00:38:13  shadzik
- rel 2 (requested rebuild)

Revision 1.60  2007/03/14 08:59:29  qboosh
- ldconfig no longer used

Revision 1.59  2007/03/10 13:43:46  sparky
- enigmail updated to 0.94.3

Revision 1.58  2007/03/09 23:20:13  sparky
- AC-branch merge:
  updated to 1.1.1
  [fixes CVE-2006-6077 CVE-2007-0008 CVE-2007-0009 CVE-2007-0775 CVE-2007-0776
   CVE-2007-0777 CVE-2007-0778 CVE-2007-0779 CVE-2007-0780 CVE-2007-0800
   CVE-2007-0981 CVE-2007-0994 CVE-2007-0995 CVE-2007-0996 CVE-2007-1092
   MFSA 2007-10]

Revision 1.57  2007/03/06 01:43:41  glen
- do not satisfy deps for xulrunner-devel

Revision 1.56  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.55  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.54  2007/02/05 17:42:03  glen
- AC-branch merge (browser-plugins v2); rel 3

Revision 1.53  2007/01/29 23:16:31  glen
- AC-branch merge:
  hawk:
  - don't use BUILD_OFFICIAL/MOZILLA_OFFICIAL, we are not allowed to do so
  - s/SeaMonkey/SeaMonkey Community Edition/
  glen:
  - drop -devel (use xulrunner-devel)
  - drop bogus deps

Revision 1.52  2007/01/22 20:31:18  hawk
- merge from AC-branch: update to 1.1, enigmail 0.94.2, dropped obsolete
  nss.patch, dropped obsolete calendar subpackage (no longer available
  in sources), updated pld-homepage.patch

Revision 1.51  2007/01/22 17:11:44  qboosh
- browser-plugins 2.0 support missing

Revision 1.50  2006/12/21 11:56:18  qboosh
- updated to 1.0.7 (fixes CVE-2006-6497 CVE-2006-6498 CVE-2006-6499 CVE-2006-6500
  CVE-2006-6501 CVE-2006-6502 CVE-2006-6503 CVE-2006-6504 CVE-2006-6505)

Revision 1.49  2006/11/26 11:46:33  glen
- avoid subshell in scriptlets

Revision 1.48  2006/11/26 11:44:54  glen
- remove ldconfig (no files in system dirs)

Revision 1.47  2006/11/13 22:40:44  qboosh
- completed last CVE list

Revision 1.46  2006/11/10 10:29:35  qboosh
- Obsoletes for mozilla packages

Revision 1.45  2006/11/10 10:24:05  qboosh
- updated to 1.0.6 (fixes CVE-2006-5462 CVE-2006-5463 CVE-2006-5464 CVE-2006-5747 CVE-2006-5748)

Revision 1.44  2006/10/24 20:10:29  qboosh
- merged from AC-branch: enigmail update to 0.94.1, release 2

Revision 1.43  2006/09/16 09:10:39  qboosh
- require nss 3.11.3 for CVE-2006-4340 fix

Revision 1.42  2006/09/16 09:09:12  qboosh
- updated to 1.0.5
  (fixes CVE-2006-4565 CVE-2006-4566 CVE-2006-4253 CVE-2006-4340 CVE-2006-4568
   CVE-2006-4570 CVE-2006-4571)

Revision 1.41  2006/09/10 11:59:45  sparky
- start script uses exec now, and simplified a little

Revision 1.40  2006/08/03 07:53:26  hawk
- updated to 1.0.4

Revision 1.39  2006/07/27 12:16:35  qboosh
- updated to 1.0.3 (includes some security fixes)

Revision 1.38  2006/07/26 08:54:14  havner
- fonts patch, rel ++

Revision 1.37  2006/07/25 10:24:58  havner
- epoch for nss

Revision 1.36  2006/06/07 17:07:09  qboosh
- proper xorg deps

Revision 1.35  2006/06/07 13:55:56  qboosh
- post,postun need -libs too

Revision 1.34  2006/06/04 12:53:27  qboosh
- removed libxpcom.so from base (already in libs), shellglob syntax fix

Revision 1.33  2006/06/04 10:50:38  qboosh
- updated libpng,zlib deps

Revision 1.32  2006/06/02 19:09:12  adamg
- updated to 1.0.2 (several security fixes)

Revision 1.31  2006/05/17 20:20:44  qboosh
- missing dir in -libs

Revision 1.30  2006/05/14 14:03:56  charles
- BR: gtk+2-devel

Revision 1.29  2006/05/13 20:04:06  arekm
- disable visibility (like in mozilla)

Revision 1.28  2006/05/13 19:32:10  arekm
th br.

Revision 1.27  2006/05/12 06:21:46  hawk
- release 2

Revision 1.26  2006/05/11 06:47:30  hawk
- s/mozilla/seamonkey where needed
- better pl description for enigmail
- removed some unecessary obsoletes, seamonkey and mozilla may now coexist
  on same machine

Revision 1.25  2006/05/10 19:58:34  hawk
- updated _noautoreqdep

Revision 1.24  2006/04/30 13:02:12  hawk
- moved libs to /usr/lib/seamonkey, moved /usr/share/idl to
  /usr/include/seamonkey/idl
- adjusted scripts for above change
- updated /usr/bin/seamonkey wrapper to not treat -options as URLs
- now seamonkey and mozilla may co-exist on same system

Revision 1.23  2006/04/19 21:47:56  sparky
- ready for rel 1

Revision 1.22  2006/04/19 20:00:03  sparky
- we don't want gnomeui, by default; with gnomeui bcond added

Revision 1.21  2006/04/19 19:17:37  sparky
- files cleanups

Revision 1.20  2006/04/19 18:10:56  sparky
- BR libgnomeui-devel (required for imgicon.xpm !)
- heimdal cleanup

Revision 1.19  2006/04/19 15:14:05  zawadaa
- one more component

Revision 1.18  2006/04/17 14:00:04  sparky
- added enigmail

Revision 1.17  2006/04/16 20:28:12  sparky
- move components/myspell to _datadir

Revision 1.16  2006/04/16 16:03:59  glen
- proper way of disabling bcond

Revision 1.15  2006/04/16 14:41:05  sparky
- libnegotiateauth has been replaced with libauth*, and it uses it's own
  gssapi.h, heimdal-devel is not used, i don't know what to do with it
- NOTE: svg works just like in FF, or better

Revision 1.14  2006/04/16 12:43:20  sparky
- added desktop files, only working ones (no jconsole or terminal)
- icon used one from sources

Revision 1.13  2006/04/16 11:41:49  sparky
- fast-added missing files, I don't realy know how to check easyly where
  each file should go

Revision 1.12  2006/04/16 10:49:24  sparky
- installed-chrome.txt is still required; rdf regeneration works
- NOTE: heimdal is evil

Revision 1.11  2006/04/16 01:34:59  sparky
- updated to 1.0.1
- added kill_slim_hidden_def.patch to make svg build
- use 's/@USE_GSSAPI@/1/; s/@GSSAPI_INCLUDES@//' to enable heimdal
- some s/mozilla/%{name}/ fixes
- %files fixes, more files waiting for package
- builds, and works, a kind of (segfaults if chrome.rdf and installed.txt
  don't exist, but fails to generate those files)
- NFY, will continue tomorrow

Revision 1.10  2006/02/04 14:17:29  qboosh
- require nspr/nss in versions >= included

Revision 1.9  2006/02/02 15:33:51  spider
- some missing s/Mozilla/SeaMonkey/g

Revision 1.8  2006/02/02 15:09:15  qboosh
- install updates

Revision 1.7  2006/02/01 20:15:01  qboosh
- revised mozilla patches and configure options

Revision 1.6  2006/02/01 15:28:12  qboosh
- reverted adapter breakage, killed gtk1 remnants

Revision 1.5  2006/02/01 15:17:32  spider
- adaptarized

Revision 1.4  2006/02/01 14:34:43  spider
- url fix

Revision 1.3  2006/02/01 14:22:30  qboosh
- updated some deps, pass --enable-application=suite

Revision 1.2  2006/02/01 14:19:37  spider
- s/Mozilla/SeaMonkey/g

Revision 1.1  2006/02/01 14:02:00  qboosh
- nothing yet, just fetch source
